InputPortResource
RESTful endpoint for managing an Input Port.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/input-ports
- /controller/process-groups/{process-group-id}/input-ports/{id}
/controller/process-groups/{process-group-id}/input-ports
Mount Point: /rest/controller/process-groups/{process-group-id}/input-ports
The following operations are supported on this resource:
GET
Retrieves all the of input ports in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | inputPortsEntity |
| media types: | application/xml application/json |
A inputPortsEntity.
POST
Creates a new input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| name | The input ports name. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
POST
Creates a new input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
/controller/process-groups/{process-group-id}/input-ports/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/input-ports/{id}
The following operations are supported on this resource:
GET
Retrieves the specified input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the input port to retrieve | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
PUT
Updates the specified input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the input port to update. | path | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| comments | Any comments about this input port. | form | |
| groupAccessControl[] | The allowed groups for this input port. | form | |
| userAccessControl[] | The allowed users for this input port. | form | |
| name | The input ports name. | form | |
| state | The state of this port. | form | |
| concurrentlySchedulableTaskCount | The number of concurrently schedulable tasks. | form | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
PUT
Updates the specified input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the input port to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.
DELETE
Removes the specified input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the input port to remove. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | inputPortEntity |
| media types: | application/xml application/json |
A inputPortEntity.